---
lang: en
title: 'API docs: context.globalinterceptor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.globalinterceptor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [globalInterceptor](./context.globalinterceptor.md)

## globalInterceptor() function

`@globalInterceptor` decorator to mark the class as a global interceptor

**Signature:**

```typescript
export declare function globalInterceptor(group?: string, ...specs: BindingSpec[]): ClassDecorator;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

group


</td><td>

string


</td><td>

_(Optional)_ Group for ordering the interceptor


</td></tr>
<tr><td>

specs


</td><td>

[BindingSpec](./context.bindingspec.md)<!-- -->\[\]


</td><td>

Extra binding specs


</td></tr>
</tbody></table>

**Returns:**

ClassDecorator


